/***************************************************************************
                          knewaccount.h  -  description
                             -------------------
    begin                : Thu Aug 29 2002
    copyright            : (C) 2002 by Richard Garand
    email                : richard@garandnet.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KNEWACCOUNT_H
#define KNEWACCOUNT_H

#include <kdialogbase.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <knuminput.h>
#include "account.h"

class KMainWindow;
class KBudgetDoc;

/**Creates a new account dialog box
  *@author Richard Garand
  */

class KNewAccount : public KDialogBase  {
  Q_OBJECT

  public: 
    KNewAccount(KMainWindow* parent, KBudgetDoc* doc, int id = -1, Account::types defaultType = Account::AC_INCOME);
    ~KNewAccount();
  private slots:
    /** type of account is changed */
    void slotTypeChanged(int newtype);
  private:
    /** ok button slot */
    void slotOk();

    KBudgetDoc* doc;
    int account;
    
    KLineEdit* name;
    KComboBox* type;
    KDoubleNumInput* initialBalance;
};

#endif
