/***************************************************************************
                          kperiodselector.h  -  description
                             -------------------
    begin                : Sun Dec 22 2002
    copyright            : (C) 2002 by Richard Garand
    email                : richard@garandnet.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPERIODSELECTOR_H
#define KPERIODSELECTOR_H

#include <qwidget.h>
#include <qhbox.h>
#include <kperiod.h>

class QPushButton;
class QLabel;
class KComboBox;
class KIntNumInput;

/**A widget for selecting a period
  *@author Richard Garand
  */

class KPeriodSelector : public QHBox
{
   Q_OBJECT
  public: 
    KPeriodSelector(QWidget *parent=0, const char *name=0);
    ~KPeriodSelector();

    void setPeriod(KPeriod period);
    KPeriod period() const;

  signals:
    void periodChanged(KPeriod to);

  private slots:
    /** slot for "previous" button */
    void slotPrevClick();
    /** slot for month combobox activate */
    void slotMonthActivate(int month);
    /** slot for year numinput change */
    void slotYearChange(int year);
    /** slot for "next" button */
    void slotNextClick();

  private:
    void changed();
  
    KPeriod m_period;

    QPushButton* prevButton;
    QLabel* spacer1;
    KComboBox* month;
    KIntNumInput* year;
    QLabel* spacer2;
    QPushButton* nextButton;
};

#endif
