/***************************************************************************
                          ktransactionwindow.h  -  description
                             -------------------
    begin                : Sat Sep 7 2002
    copyright            : (C) 2002 by Richard Garand
    email                : richard@garandnet.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTRANSACTIONWINDOW_H
#define KTRANSACTIONWINDOW_H

#include <qwidget.h>
#include <kmainwindow.h>

#include "kperiod.h"
#include "kbudgetdoc.h"

class KTransactionList;
class KAction;
class QPopupMenu;
class KPeriodSelector;

/**Creates a window to display a list of transactions
  *@author Richard Garand
  */

class KTransactionWindow : public KMainWindow  {
  Q_OBJECT
  public: 
    KTransactionWindow(KBudgetDoc* doc, KPeriod period, int account=-1);
    ~KTransactionWindow();

    static bool closeAllWindows();

  public slots:
    void slotToggleToolBar();
    void slotConfKeys();
    void slotConfToolbar();
    void slotContextMenuRequested(const QPoint& p);
    void slotTransactionFuncsEnabled(bool enabled);
    void slotNewTransaction();

    void slotPeriodChanged();
    void slotAccountChanged(int id, KBudgetDoc::ChangeAction action);

  protected:
    static QPtrList<KTransactionWindow> instances;

  private:
    void initGUI();
    void makeCaption();

    KBudgetDoc* m_doc;
    int m_account;

    KPeriodSelector* m_period;
    KTransactionList* transactionWidget;

    KAction* fileClose;
    KAction* transactionNew;
    KAction* transactionEdit;
    KAction* transactionDelete;
    KToggleAction* showToolbar;

    QPopupMenu* mainPopup;
};

#endif
